/**
 * Note: This file was auto-generated by TI PinMux on 2/18/2015 at 11:32:26 AM.
 *
 * \file  am335x_evmsk_pinmux_data.c
 *
 * \brief  This file contains the pin mux configurations for the boards.
 *         These are prepared based on how the peripherals are extended on
 *         the boards.
 *
 * \copyright Copyright (CU) 2015 Texas Instruments Incorporated -
 *             http://www.ti.com/
 */

/**
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */
#include "types.h"
#include "pinmux.h"
#include "am335x_pinmux.h"

/** Peripheral Pin Configurations */

#if defined(BUILDCFG_MOD_UART)

static pinmuxPerCfg_t gUart0PinCfg[] =
{
    {
        /* UART 0 -> uart0_rxd -> E15 */
        PIN_UART0_RXD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* UART 0 -> uart0_txd -> E16 */
        PIN_UART0_TXD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL) & (~PIN_PULL_UD_EN & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gUartPinCfg[] =
{
    {0, TRUE, gUart0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_UART) */

#if defined(BUILDCFG_MOD_CPSW)

static pinmuxPerCfg_t gCpsw0PinCfg[] =
{
    {
        /* MDIO -> mdio_clk -> M18 */
        PIN_MDIO_CLK, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL) & (~PIN_PULL_UD_EN & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* MDIO -> mdio_data -> M17 */
        PIN_MDIO_DATA, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_tctl -> R13 */
        PIN_GPMC_A0, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_rctl -> V14 */
        PIN_GPMC_A1, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_tclk -> U15 */
        PIN_GPMC_A6, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_rclk -> T15 */
        PIN_GPMC_A7, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_td0 -> V15 */
        PIN_GPMC_A5, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_td1 -> R14 */
        PIN_GPMC_A4, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_td2 -> T14 */
        PIN_GPMC_A3, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_td3 -> U14 */
        PIN_GPMC_A2, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_rd0 -> V17 */
        PIN_GPMC_A11, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_rd1 -> T16 */
        PIN_GPMC_A10, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_rd2 -> U16 */
        PIN_GPMC_A9, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 2 -> rgmii2_rd3 -> V16 */
        PIN_GPMC_A8, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_tctl -> J16 */
        PIN_GMII1_TXEN, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_rctl -> J17 */
        PIN_GMII1_RXDV, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_tclk -> K18 */
        PIN_GMII1_TXCLK, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_rclk -> L18 */
        PIN_GMII1_RXCLK, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_td0 -> K17 */
        PIN_GMII1_TXD0, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_td1 -> K16 */
        PIN_GMII1_TXD1, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_td2 -> K15 */
        PIN_GMII1_TXD2, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_td3 -> J18 */
        PIN_GMII1_TXD3, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_rd0 -> M16 */
        PIN_GMII1_RXD0, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_rd1 -> L15 */
        PIN_GMII1_RXD1, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_rd2 -> L16 */
        PIN_GMII1_RXD2, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* RGMII 1 -> rgmii1_rd3 -> L17 */
        PIN_GMII1_RXD3, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gCpswPinCfg[] =
{
    {0, TRUE, gCpsw0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_CPSW) */

#if defined(BUILDCFG_MOD_GPIO)

static pinmuxPerCfg_t gGpio0PinCfg[] =
{
    {
        /* GPIO 0 -> gpio0[7] -> C18 */
        PIN_ECAP0_IN_PWM0_OUT, 7, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_EN) & (~PIN_PULL_TYPE_SEL & ~PIN_RX_ACTIVE)) \
        ) \
    },
    {
        /* GPIO1 -> gpio0[30] -> T17 */
        PIN_GPMC_WAIT0, 30, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN & ~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gGpio1PinCfg[] =
{
    {
        /* GPIO1 -> gpio1[4] -> U8 */
        PIN_GPMC_AD4, 4, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* GPIO1 -> gpio1[5] -> V8 */
        PIN_GPMC_AD5, 5, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* GPIO1 -> gpio1[6] -> R9 */
        PIN_GPMC_AD6, 6, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* GPIO1 -> gpio1[7] -> T9 */
        PIN_GPMC_AD7, 7, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_EN | PIN_RX_ACTIVE) & (~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gGpio2PinCfg[] =
{
    {
        /* GPIO2 -> gpio2[2] -> R7 */
        PIN_GPMC_ADVN_ALE, 2, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN  & ~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* GPIO2 -> gpio2[3] -> T7 */
        PIN_GPMC_OEN_REN, 3, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN  & ~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {
        /* GPIO2 -> gpio2[5] -> T6 */
        PIN_GPMC_BE0N_CLE, 5, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN  & ~PIN_PULL_TYPE_SEL)) \
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gGpioPinCfg[] =
{
    {0, TRUE, gGpio0PinCfg},
    {1, TRUE, gGpio1PinCfg},
    {2, TRUE, gGpio2PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_GPIO) */

#if defined(BUILDCFG_MOD_I2C)

static pinmuxPerCfg_t gI2c0PinCfg[] =
{
    {
        /* I2C 0 -> I2C0_SCL -> C16 */
        PIN_I2C0_SCL, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* I2C 0 -> I2C0_SDA -> C17 */
        PIN_I2C0_SDA, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gI2cPinCfg[] =
{
    {0, TRUE, gI2c0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_I2C) */

#if defined(BUILDCFG_MOD_MMCSD)

static pinmuxPerCfg_t gMmcsd0PinCfg[] =
{
    {
        /* MMC 0 -> mmc0_clk -> G17 */
        PIN_MMC0_CLK, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* MMC 0 -> mmc0_cmd -> G18 */
        PIN_MMC0_CMD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* MMC 0 -> mmc0_dat0 -> G16 */
        PIN_MMC0_DAT0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* MMC 0 -> mmc0_dat1 -> G15 */
        PIN_MMC0_DAT1, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* MMC 0 -> mmc0_dat2 -> F18 */
        PIN_MMC0_DAT2, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* MMC 0 -> mmc0_dat3 -> F17 */
        PIN_MMC0_DAT3, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {
        /* MMC 0 -> mmc0_sdcd -> C15 */
        PIN_SPI0_CS1, 0, \
        ( \
            PIN_MODE(5) | \
            ((PIN_PULL_TYPE_SEL | PIN_RX_ACTIVE) & (~PIN_PULL_UD_EN)) \
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gMmcsdPinCfg[] =
{
    {0, TRUE, gMmcsd0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_MMCSD) */

/** EVM pin configurations for EVM */

pinmuxBoardCfg_t gEvmskPinmuxData[] =
{
#if defined(BUILDCFG_MOD_UART)
    {CHIPDB_MOD_ID_UART, gUartPinCfg},
#endif /* if defined(BUILDCFG_MOD_UART) */
#if defined(BUILDCFG_MOD_CPSW)
    {CHIPDB_MOD_ID_CPSW, gCpswPinCfg},
#endif /* if defined(BUILDCFG_MOD_CPSW) */
#if defined(BUILDCFG_MOD_GPIO)
    {CHIPDB_MOD_ID_GPIO, gGpioPinCfg},
#endif /* if defined(BUILDCFG_MOD_GPIO) */
#if defined(BUILDCFG_MOD_I2C)
    {CHIPDB_MOD_ID_I2C, gI2cPinCfg},
#endif /* if defined(BUILDCFG_MOD_I2C) */
#if defined(BUILDCFG_MOD_MMCSD)
    {CHIPDB_MOD_ID_MMCSD, gMmcsdPinCfg},
#endif /* if defined(BUILDCFG_MOD_MMCSD) */
    {CHIPDB_MOD_ID_INVALID}
};
